Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class DCModuleParser

    java.lang.Object
      com.sun.syndication.io.impl.DCModuleParser

All Implemented Interfaces:
  ModuleParser

    public class DCModuleParser

extends Object
implements ModuleParser

Parser for the Dublin Core module.

Constructor Summary
`DCModuleParser()`

Method Summary
`String` | `getNamespaceUri()` Returns the namespace URI this parser handles.
`protected String` | `getTaxonomy(org.jdom.Element desc)` Utility method to parse a taxonomy from an element.
`Module` | `parse(org.jdom.Element dcRoot)` Parse an element tree and return the module found in it.
`protected List` | `parseElementList(List eList)` Utility method to parse a list of strings out of a list of elements.
`protected List` | `parseElementListDate(List eList)` Utility method to parse a list of dates out of a list of elements.
`protected List` | `parseSubjects(List eList)` Utility method to parse a list of subjects out of a list of elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DCModuleParser

    public DCModuleParser()

Method Detail

### getNamespaceUri

    public final String getNamespaceUri()

  Description copied from interface: `ModuleParser`
  Returns the namespace URI this parser handles.

  Specified by:
    `getNamespaceUri` in interface `ModuleParser`
  Returns:
    the namespace URI.

### parse

    public Module parse(org.jdom.Element dcRoot)

  Parse an element tree and return the module found in it.

  Specified by:
    `parse` in interface `ModuleParser`
  Parameters:
    `dcRoot` - the root element containing the module elements.
  Returns:
    the module parsed from the element tree, null if none.

### getTaxonomy

    protected final String getTaxonomy(org.jdom.Element desc)

  Utility method to parse a taxonomy from an element.

  Parameters:
    `desc` - the taxonomy description element.
  Returns:
    the string contained in the resource of the element.

### parseSubjects

    protected final List parseSubjects(List eList)

  Utility method to parse a list of subjects out of a list of elements.

  Parameters:
    `eList` - the element list to parse.
  Returns:
    a list of subjects parsed from the elements.

### parseElementList

    protected final List parseElementList(List eList)

  Utility method to parse a list of strings out of a list of elements.

  Parameters:
    `eList` - the list of elements to parse.
  Returns:
    the list of strings

### parseElementListDate

    protected final List parseElementListDate(List eList)

  Utility method to parse a list of dates out of a list of elements.

  Parameters:
    `eList` - the list of elements to parse.
  Returns:
    the list of dates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.